Vcenter ConsumptionDomains ZoneAssociations AssociationChanges list

Vcenter ConsumptionDomains ZoneAssociations AssociationChanges list

Returns zone-cluster association changes.

This operation was added in vSphere API 9.1.0.0.

Returns an authorization error if you do not have all of the privileges described as follows:

  • Operation execution requires System.Read.
Request
URI
POST
https://{host}/api/vcenter/consumption-domains/zone-associations/association-changes?action=query
COPY
Request Body

The specification for the query, see Vcenter ConsumptionDomains ZoneAssociations AssociationChanges QuerySpec

If missing or null, the behavior is equivalent to a Vcenter ConsumptionDomains ZoneAssociations AssociationChanges QuerySpec with all properties missing or null.

{
    "filter": {
        "zones": [
            "string"
        ]
    },
    "token": "string",
    "timeout": 0
}
filter
Optional

The specification of matching changes. The filter spec specified in clients' first call to #list will also be applied to their subsequent calls, if the token returned in Vcenter ConsumptionDomains ZoneAssociations AssociationChanges ListResult is specified in the subsequent calls. If such subsequent calls specify a different filter, then it will be ignored.

This property was added in vSphere API 9.1.0.0.

filter If missing or null, the behavior is equivalent to a Vcenter ConsumptionDomains ZoneAssociations AssociationChanges FilterSpec with all properties missing or null, which means any change will match the filter.

string
token
Optional

An opaque token identifying the next change to be read. The clients should omit this field in their first call to #list, and then include the token in the returned result in all subsequent calls to #list. For the subsequent calls, all association changes starting from the change identified by the token will be returned.

This property was added in vSphere API 9.1.0.0.

token If missing or null or empty the current zone-cluster associations matching the Vcenter ConsumptionDomains ZoneAssociations AssociationChanges FilterSpec in the Vcenter ConsumptionDomains ZoneAssociations AssociationChanges QuerySpec will be returned in the form of Vcenter ConsumptionDomains ZoneAssociations AssociationChanges Type.ADDED changes. If set, only new association changes identified by the token will be returned.

integer As int64 As int64
timeout
Optional

Number of seconds to wait for matching changes if none are present at the time of the call.

This property was added in vSphere API 9.1.0.0.

timeout If (@term unset) or zero the service will return immediately. Empty result will be returned if there are no matching zone-cluster association changes.

Authentication
This operation uses the following authentication methods.
Responses
200

The zone-cluster association changes matching the FilterSpec in the QuerySpec.

{
    "changes": [
        {
            "type": "string",
            "cluster": "string",
            "zone": "string"
        }
    ],
    "token": "string"
}
array of object
changes
Required

List of zone-cluster association changes.

This property was added in vSphere API 9.1.0.0.

string
token
Required

An opaque token identifying the next zone-cluster association change to be read from the #list. Clients should use this returned token in the subsequent calls to #list to fetch new changes only.

This property was added in vSphere API 9.1.0.0.


400

POST /vcenter/consumption-domains/zone-associations/association-changes?action=query throws InvalidArgument if a negative value is specified for Vcenter ConsumptionDomains ZoneAssociations AssociationChanges QuerySpec.timeout, or any zone identifier specified in Vcenter ConsumptionDomains ZoneAssociations AssociationChanges FilterSpec.zones cannot be found.

Returns Vapi Std Errors InvalidArgument of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": {
                        "id": "string",
                        "params": {
                            "params": "Vapi Std LocalizationParam Object"
                        }
                    },
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}

401

if the user is not authenticated.

Returns Vapi Std Errors Unauthenticated of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string",
    "challenge": "string"
}
string
challenge
Optional

Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.

For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da1358-2ba4-11e9-b210-d663bd873d93",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"

This property was added in vSphere API 7.0.0.0.

This property is optional because it was added in a newer version than its parent node.


404

If the token specified in the filter spec is no longer available.

Returns Vapi Std Errors NotFound of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}

500

when unexpected error is encountered.

Returns Vapi Std Errors Error of type(s) application/json
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}
array of object
messages
Required

Stack of one or more localizable messages for human error consumers.

The message at the top of the stack (first in the list) describes the error from the perspective of the operation the client invoked.

Each subsequent message in the stack describes the "cause" of the prior message.

object
data
Optional

Data to facilitate clients responding to the operation reporting a standard error to indicating that it was unable to complete successfully.

Operations may provide data that clients can use when responding to errors. Since the data that clients need may be specific to the context of the operation reporting the error, different operations that report the same error may provide different data in the error. The documentation for each each operation will describe what, if any, data it provides for each error it reports.

The Vapi Std Errors ArgumentLocations, Vapi Std Errors FileLocations, and Vapi Std Errors TransientIndication schemas are intended as possible values for this property. Vapi Std DynamicID may also be useful as a value for this property (although that is not its primary purpose). Some resources may provide their own specific schemas for use as the value of this property when reporting errors from their operations.

Some operations will not set this property when reporting errors.

string
error_type
Required

Discriminator field to help API consumers identify the structure type.

For more information see: Vapi Std Errors Error Type.

This property was added in vSphere API 6.7.2.

Can be missing or null for compatibility with preceding implementations.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/vcenter/consumption-domains/zone-associations/association-changes?action=query